### Method

# Gtk IconThemeadd_resource_path

#### Declaration [src]

    void
    gtk_icon_theme_add_resource_path (
      GtkIconTheme* self,
      const char* path
    )

#### Description [src]

Adds a resource path that will be looked at when looking for icons, similar to search paths.

See `gtk_icon_theme_set_resource_path()`.

This function should be used to make application-specific icons available as part of the icon theme.

#### Parameters

`path`

  Type: `const char*`

  A resource path.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.